﻿using Syncfusion.UI.Xaml.Controls.Input;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfNumericUpDownWinRT
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {

        SfNumericTextBox sfNumericTextBox;
        public MainPage()
        {
            this.InitializeComponent();
            sfnumericupdown.Loaded += sfnumericupdown_Loaded;
       
          
        }
    

        void sfnumericupdown_Loaded(object sender, RoutedEventArgs e)
        {
            sfnumericupdown.GotFocus += sfnumericupdown_GotFocus;
            sfNumericTextBox = FindVisualChildrenOfType<SfNumericTextBox>((sender as SfNumericUpDown)).FirstOrDefault();
            sfNumericTextBox.TextChanged += sfNumericTextBox_TextChanged;
        }

        void sfNumericTextBox_TextChanged(object sender, TextChangedEventArgs e)
        {

            sfNumericTextBox.SelectAll();
        }

       
        void sfnumericupdown_GotFocus(object sender, RoutedEventArgs e)
        {
            sfNumericTextBox.SelectAll();
        }
        public static IEnumerable<T> FindVisualChildrenOfType<T>(DependencyObject parent)
   where T : DependencyObject
        {
            List<T> foundChildren = new List<T>();
            int childCount = VisualTreeHelper.GetChildrenCount(parent);
            for (int i = 0; i < childCount; i++)
            {
                var child = VisualTreeHelper.GetChild(parent, i);
                T childType = child as T;
                if (childType == null)
                {
                    foreach (var other in FindVisualChildrenOfType<T>(child))
                        yield return other;
                }
                else
                {
                    yield return (T)child;
                }
            }
        }

      
    }

 
  }
